Debian Bug report logs - #476456
should conflict with atftpd

version graph

Package: tftpd-hpa; Maintainer for tftpd-hpa is Daniel Baumann <mail@daniel-baumann.ch>; Source for tftpd-hpa is src:tftp-hpa.

Reported by: Ralf Treinen <treinen@debian.org>

Date: Wed, 16 Apr 2008 19:18:01 UTC

Severity: serious

Tags: patch

Found in version tftp-hpa/0.48-2.1

Fixed in version tftp-hpa/0.48-2.2

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#476456; Package ftpd-hpa. Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@debian.org>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: should conflict with atftpd
Date: Wed, 16 Apr 2008 21:19:03 +0200
Package: ftpd-hpa
Version: 0.48-2
Severity: serious

tftpd-hpa should declare Conflict with atftpd as it tries to overwrite
a common file:

Unpacking tftpd-hpa (from .../tftpd-hpa_0.48-2_amd64.deb) ...
dpkg: error processing
/var/cache/apt/archives/tftpd-hpa_0.48-2_amd64.deb (--unpack):
 trying to overwrite `/usr/sbin/in.tftpd', which is also in package atftpd
Errors were encountered while processing:
 /var/cache/apt/archives/tftpd-hpa_0.48-2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

See http://edos.debian.net/missing-conflicts/logs/atftpd_tftpd-hpa
for a full installation log

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.utf8)
Shell: /bin/sh linked to /bin/bash




Bug reassigned from package `ftpd-hpa' to `tftpd-hpa'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 17 Apr 2008 08:45:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jaakko Niemi <liiwi@debian.org>:
Bug#476456; Package tftpd-hpa. Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
Extra info received and forwarded to list. Copy sent to Jaakko Niemi <liiwi@debian.org>. Full text and rfc822 format available.

Message #12 received at 476456@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: 476456@bugs.debian.org
Subject: failed install
Date: Sun, 11 May 2008 09:24:21 +0200
Update: the log of the failed installation attempt moved to

http://edos.debian.net/missing-conflicts/logs/2008-04-16/atftpd_tftpd-hpa

-Ralf.




Information forwarded to debian-bugs-dist@lists.debian.org, Jaakko Niemi <liiwi@debian.org>:
Bug#476456; Package tftpd-hpa. Full text and rfc822 format available.

Acknowledgement sent to madcoder@debian.org:
Extra info received and forwarded to list. Copy sent to Jaakko Niemi <liiwi@debian.org>. Full text and rfc822 format available.

Message #17 received at 476456@bugs.debian.org (full text, mbox):

From: madcoder@debian.org
To: 476456@bugs.debian.org
Subject: tftp-hpa: diff for NMU version 0.48-2.1
Date: Thu, 05 Jun 2008 10:40:49 +0200
tags 476456 + patch
thanks

Hi,

The following is the diff for my tftp-hpa 0.48-2.1 NMU.

diff -u tftp-hpa-0.48/debian/changelog tftp-hpa-0.48/debian/changelog
--- tftp-hpa-0.48/debian/changelog
+++ tftp-hpa-0.48/debian/changelog
@@ -1,3 +1,10 @@
+tftp-hpa (0.48-2.1) unstable; urgency=high
+
+  * Non-maintainer upload.
+  * Add missing Conflict with aftpd (Closes: #476456).
+
+ -- Pierre Habouzit <madcoder@debian.org>  Thu, 05 Jun 2008 10:37:05 +0200
+
 tftp-hpa (0.48-2) unstable; urgency=low
 
   * Only Recommend inet-superserver (Thanks, Daniel (Closes: #462654)
diff -u tftp-hpa-0.48/debian/control tftp-hpa-0.48/debian/control
--- tftp-hpa-0.48/debian/control
+++ tftp-hpa-0.48/debian/control
@@ -8,8 +8,8 @@
 Package: tftp-hpa
 Architecture: any
 Depends: ${shlibs:Depends}
-Conflicts: tftp
-Description: HPA's tftp client 
+Conflicts: tftp, atftpd
+Description: HPA's tftp client
  This is a tftp client derived from OpenBSD tftp with some
  extra options added and bugs fixed. The source includes readline
  support but it is not enabled due to licence conflicts between




Tags added: patch Request was from madcoder@debian.org to control@bugs.debian.org. (Thu, 05 Jun 2008 08:45:29 GMT) Full text and rfc822 format available.

Reply sent to Pierre Habouzit <madcoder@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 476456-close@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: 476456-close@bugs.debian.org
Subject: Bug#476456: fixed in tftp-hpa 0.48-2.1
Date: Thu, 05 Jun 2008 08:47:14 +0000
Source: tftp-hpa
Source-Version: 0.48-2.1

We believe that the bug you reported is fixed in the latest version of
tftp-hpa, which is due to be installed in the Debian FTP archive:

tftp-hpa_0.48-2.1.diff.gz
  to pool/main/t/tftp-hpa/tftp-hpa_0.48-2.1.diff.gz
tftp-hpa_0.48-2.1.dsc
  to pool/main/t/tftp-hpa/tftp-hpa_0.48-2.1.dsc
tftp-hpa_0.48-2.1_amd64.deb
  to pool/main/t/tftp-hpa/tftp-hpa_0.48-2.1_amd64.deb
tftpd-hpa_0.48-2.1_amd64.deb
  to pool/main/t/tftp-hpa/tftpd-hpa_0.48-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 476456@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pierre Habouzit <madcoder@debian.org> (supplier of updated tftp-hpa package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Jun 2008 10:37:05 +0200
Source: tftp-hpa
Binary: tftp-hpa tftpd-hpa
Architecture: source amd64
Version: 0.48-2.1
Distribution: unstable
Urgency: high
Maintainer: Jaakko Niemi <liiwi@debian.org>
Changed-By: Pierre Habouzit <madcoder@debian.org>
Description: 
 tftp-hpa   - HPA's tftp client
 tftpd-hpa  - HPA's tftp server
Closes: 476456
Changes: 
 tftp-hpa (0.48-2.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Add missing Conflict with aftpd (Closes: #476456).
Checksums-Sha1: 
 fda6fd6867a836949a743cf8bdbbb17392a82d1c 1000 tftp-hpa_0.48-2.1.dsc
 07f2db5084fbde14102ffeee4b4721ea67b0786a 10590 tftp-hpa_0.48-2.1.diff.gz
 6a3082613bc39e4b19bceb185ec19975ccc16137 24770 tftp-hpa_0.48-2.1_amd64.deb
 e153dbb9bd9dbf1cd5d8ff1e81228cc8429b9a2f 35870 tftpd-hpa_0.48-2.1_amd64.deb
Checksums-Sha256: 
 b6a3e64603809b3138ed8862e11b34bdd941889961db73afe77c8976dcfb0a77 1000 tftp-hpa_0.48-2.1.dsc
 6f1deb6edfd41c8cebda33efaf61aa10e6adb59f61a80f34c4e5c1ae5964fa51 10590 tftp-hpa_0.48-2.1.diff.gz
 02a660a048aeba3646b79bd67bd93a17428b0dda4a7df78ca7792daf0f735fee 24770 tftp-hpa_0.48-2.1_amd64.deb
 2422159c3ea9e8ad5a19f5955bfa7975c2b589fcf3b5fb23979eb1cb4f6c7b56 35870 tftpd-hpa_0.48-2.1_amd64.deb
Files: 
 b428ee56e1dbca3e61ac70971c057583 1000 net extra tftp-hpa_0.48-2.1.dsc
 1879125b3fa8bd02857889ebc75ccbbf 10590 net extra tftp-hpa_0.48-2.1.diff.gz
 72de34015b50020f79fde7356cece4c1 24770 net extra tftp-hpa_0.48-2.1_amd64.deb
 2998b76c780822fb1ef3c8a922c13a3b 35870 net extra tftpd-hpa_0.48-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhHpo8ACgkQvGr7W6HudhzKigCffZEuozsWzs8qHiib9s3y6Ldp
oWQAn1EFRjsMmHDPxzMBX82GECOJVFya
=uKyG
-----END PGP SIGNATURE-----





Bug marked as found in version 0.48-2.1 and reopened. Request was from Ralf Treinen <treinen@free.fr> to control@bugs.debian.org. (Tue, 17 Jun 2008 19:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jaakko Niemi <liiwi@debian.org>:
Bug#476456; Package tftpd-hpa. Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
Extra info received and forwarded to list. Copy sent to Jaakko Niemi <liiwi@debian.org>. Full text and rfc822 format available.

Message #31 received at 476456@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: 476456@bugs.debian.org
Subject: still open
Date: Tue, 17 Jun 2008 21:19:11 +0200
Sorry but this is still unsolved. See

http://edos.debian.net/missing-conflicts/logs/2008-06-16/atftpd_tftpd-hpa

Is my impression right that you declared conflict with atftpd in the
package tftp-hpa instead of tftpd-hpa ?

-Ralf.




Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 476456-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 476456-close@bugs.debian.org
Subject: Bug#476456: fixed in tftp-hpa 0.48-2.2
Date: Sun, 29 Jun 2008 16:47:03 +0000
Source: tftp-hpa
Source-Version: 0.48-2.2

We believe that the bug you reported is fixed in the latest version of
tftp-hpa, which is due to be installed in the Debian FTP archive:

tftp-hpa_0.48-2.2.diff.gz
  to pool/main/t/tftp-hpa/tftp-hpa_0.48-2.2.diff.gz
tftp-hpa_0.48-2.2.dsc
  to pool/main/t/tftp-hpa/tftp-hpa_0.48-2.2.dsc
tftp-hpa_0.48-2.2_i386.deb
  to pool/main/t/tftp-hpa/tftp-hpa_0.48-2.2_i386.deb
tftpd-hpa_0.48-2.2_i386.deb
  to pool/main/t/tftp-hpa/tftpd-hpa_0.48-2.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 476456@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated tftp-hpa package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Jun 2008 17:14:31 +0100
Source: tftp-hpa
Binary: tftp-hpa tftpd-hpa
Architecture: source i386
Version: 0.48-2.2
Distribution: unstable
Urgency: high
Maintainer: Jaakko Niemi <liiwi@debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 tftp-hpa   - HPA's tftp client
 tftpd-hpa  - HPA's tftp server
Closes: 476456 481674
Changes: 
 tftp-hpa (0.48-2.2) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Fix previous NMU for Conflict with aftpd (Closes: #476456).
   * Add Galician Debconf translation (Closes: 481674). Thanks to Jacobo
     Tarrio.
   * Update Standards-Version.
Checksums-Sha1: 
 bd9e9335f40d48b43b5a59e290caa0a1ec77e342 992 tftp-hpa_0.48-2.2.dsc
 64a271beb5ec698505fdf8c413325aec59cb620e 10840 tftp-hpa_0.48-2.2.diff.gz
 7da99141a7c2969b29c839dcb7a903c9a588c905 23448 tftp-hpa_0.48-2.2_i386.deb
 0f060f6de44b8b389df23faf23486e156907a2f2 34158 tftpd-hpa_0.48-2.2_i386.deb
Checksums-Sha256: 
 85fc9e5c1208fe69c4d92d829982d6bce81f9c97dd835b2bd79c9fd844a4dd37 992 tftp-hpa_0.48-2.2.dsc
 42ac9628f5a61d6a96aa6cc1fb28b72e5c724ec9d30d8d2454b8c6966db299e2 10840 tftp-hpa_0.48-2.2.diff.gz
 75a8bea4354a1070cd151c3e0149ceb203bbf57ee01d0ab1838ef49b7725c9f8 23448 tftp-hpa_0.48-2.2_i386.deb
 016d174416a9436d7a59378789dd6b08193e6d2839720fa8a3982efa926b9e48 34158 tftpd-hpa_0.48-2.2_i386.deb
Files: 
 f2b37a455c07a0bba0849bde57165103 992 net extra tftp-hpa_0.48-2.2.dsc
 723a1054cacfcee03d39bd74cc2e30fb 10840 net extra tftp-hpa_0.48-2.2.diff.gz
 a2b95721954dc4d3be8d33febccde41d 23448 net extra tftp-hpa_0.48-2.2_i386.deb
 d6aad42d77bea84deb516919c961d62e 34158 net extra tftpd-hpa_0.48-2.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIZ7jrfDt5cIjHwfcRAsXPAKCgavWIKsRIGb+Hzw3Mj8xvIAaYPgCghDMg
udqp0M1uSO8lnLGP8xMdFaQ=
=TAGe
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 Aug 2008 07:30:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:07:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.